Bug 787252 - Fails to boot after upgrade to systemd-37-11.fc16.i686
Summary: Fails to boot after upgrade to systemd-37-11.fc16.i686
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: systemd
Version: 16
Hardware: i686
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: systemd-maint
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-02-03 17:15 UTC by Chien-Chung Yeh
Modified: 2012-04-15 23:30 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-04 06:33:18 UTC


Attachments (Terms of Use)

Description Chien-Chung Yeh 2012-02-03 17:15:01 UTC
Description of problem:
Afer upgrade systemd package from "37-3.fc16.i686" to "37-11.fc16.i686" and then reboot, Fedora fails to boot, it stays in "Plymouth" screen permanently. Try to pressing "Ctrl + SysRq + e", the system seems to work now.

I noticed the following message from "/var/log/messages":
----------------------------------------------------------------
Feb  3 00:13:35 castor dbus-daemon[879]: dbus[879]: [system] Successfully activated service 'org.freedesktop.nm_dispatcher'
Feb  3 00:13:35 castor systemd[1]: PID file /run/sendmail.pid not readable (yet?) after start.
Feb  3 00:13:36 castor dbus-daemon[879]: disabled
Feb  3 00:13:36 castor systemd[1]: PID file /run/sm-client.pid not readable (yet?) after start.
Feb  3 00:14:01 castor systemd-logind[860]: Failed to start unit: Unit autovt@tty2.service failed to load: File exists. See system logs and 'systemctl status autovt@tty2.service' for details.
Feb  3 00:14:11 castor systemd-logind[860]: Failed to start unit: Unit autovt@tty2.service failed to load: File exists. See system logs and 'systemctl status autovt@tty2.service' for details.
Feb  3 00:14:15 castor kernel: [   65.811332] SysRq : Keyboard mode set to system default
Feb  3 00:14:30 castor abrtd: Got signal 15, exiting
Feb  3 00:14:30 castor NetworkManager[848]: <info> caught signal 15, shutting down normally.
Feb  3 00:14:30 castor NetworkManager[848]: <warn> quit request received, terminating...
----------------------------------------------------------------

Version-Release number of selected component (if applicable):
systemd-37-11.fc16.i686

How reproducible:
Always

Steps to Reproduce:
1. Fedora can boot with systemd-37-3.fc16.i686
2. Upgrade to systemd-37-11.fc16.i686
3. Reboot
  
Actual results:
Fails to boot and stay in "Plymoth" screen permanently.

Expected results:
Boot to graphical login screen.


Additional info:
Workaround: After "rm -f /etc/systemd/system/getty.target.wants/getty@tty[2-6].service", I can boot the system without problem anymore.

Perhaps we can add this command in %post scriptlet to avoid this issue.

Comment 1 Michal Schmidt 2012-02-03 17:23:04 UTC
Have you tried waiting at least 5 minutes? If a SysV service gets stuck, systemd will wait this long before giving up and killing it.

> Workaround: After "rm -f
> /etc/systemd/system/getty.target.wants/getty@tty[2-6].service", I can boot the
> system without problem anymore.

That's odd. I have the symlinks too and they don't cause any trouble here.

Comment 2 Chien-Chung Yeh 2012-02-04 06:33:18 UTC
Sorry for late reply!

I tried "for i in 2 3 4 5 6 ;do  ln -sn /lib/systemd/system/getty@.service /etc/systemd/system/getty.target.wants/getty@tty$i.service ;done"
and then reboot, it works like a charm. I can not repeat the issue anymore.

I am sure Fedora can not boot smoothly for several times of reboot yesterday, but after I remove the symlinks, and readd it, all seems OK now. So mark the Bug to "Closed" Status.

Thank you for your help !!

Comment 3 Rich Rauenzahn 2012-04-15 23:30:28 UTC
I don't think this is fixed, and may also have occurred to me after upgrading.

Seems like this issue is also being tracked in https://bugzilla.redhat.com/show_bug.cgi?id=761656


Note You need to log in before you can comment on or make changes to this bug.